Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Dispatching Class Reference

Abstract base class for the dispatching strategies. More...

`#include <EC_Dispatching.h>`

Inheritance diagram for TAO_EC_Dispatching

[legend]
List of all members.

## Public Methods
virtual | ~TAO_EC_Dispatching (void)
| destructor...
virtual void | activate (void) = 0
| Initialize all the data structures, activate any internal threads, etc.
virtual void | shutdown (void) = 0
virtual void | push (TAO_EC_ProxyPushSupplier *proxy, RtecEventComm::PushConsumer_ptr consumer, const RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info, CORBA::Environment &env = TAO_default_environment ()) = 0
virtual void | push_nocopy (TAO_EC_ProxyPushSupplier *proxy, RtecEventComm::PushConsumer_ptr consumer, RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info, CORBA::Environment &env = TAO_default_environment ()) = 0

## Detailed Description

Abstract base class for the dispatching strategies.

The dispatching strategies. The EC may be configured with different dispatching strategies, for instance, it can use a pool of threads to dispatch the events, or a set of queues with threads at different priorities for each queue or can simply push the event to the consumer in FIFO order.

## Constructor & Destructor Documentation

TAO_EC_Dispatching::~TAO_EC_Dispatching ( | void )`[virtual]`

| destructor...

## Member Function Documentation

void TAO_EC_Dispatching::activate ( | void )`[pure virtual]`

| Initialize all the data structures, activate any internal threads, etc. Reimplemented in TAO_EC_Reactive_Dispatching, TAO_EC_MT_Dispatching, and TAO_EC_Priority_Dispatching.

void TAO_EC_Dispatching::push ( | TAO_EC_ProxyPushSupplier * proxy,
| RtecEventComm::PushConsumer_ptr consumer,
| const RtecEventComm::EventSet & event,
| TAO_EC_QOS_Info & qos_info,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[pure virtual]`

| The consumer represented by <proxy> should receive <event>. It can use the information in <qos_info> to determine the event priority (among other things). Reimplemented in TAO_EC_Reactive_Dispatching, TAO_EC_MT_Dispatching, and TAO_EC_Priority_Dispatching.

virtual void TAO_EC_Dispatching::push_nocopy ( | TAO_EC_ProxyPushSupplier * proxy,
| RtecEventComm::PushConsumer_ptr consumer,
| RtecEventComm::EventSet & event,
| TAO_EC_QOS_Info & qos_info,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[pure virtual]`

| Reimplemented in TAO_EC_Reactive_Dispatching, TAO_EC_MT_Dispatching, and TAO_EC_Priority_Dispatching.

void TAO_EC_Dispatching::shutdown ( | void )`[pure virtual]`

| Deactivate any internal threads and cleanup internal data structures, it should only return once the threads have finished their jobs. Reimplemented in TAO_EC_Reactive_Dispatching, TAO_EC_MT_Dispatching, and TAO_EC_Priority_Dispatching.

The documentation for this class was generated from the following file:

- EC_Dispatching.h